Skip to main content
PATCH
/
deposit-attributions
/
{depositTransactionId}
Attribute a deposit
curl --request PATCH \
  --url https://api.anchorage-staging.com/v2/deposit-attributions/{depositTransactionId} \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Api-Signature: <api-signature>' \
  --header 'Api-Timestamp: <api-timestamp>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "originatorCountry": "US",
  "originatorName": "John Doe",
  "sourceWalletType": "CUSTODIAL",
  "notes": "US"
}
'
{
  "data": {
    "depositTransactionId": "0e2b2f9d-8d10-4f1e-960b-28567255045f",
    "status": "UNDER_REVIEW"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)
Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

depositTransactionId
string
required

The transactionId where the transactionType is DEPOSIT.

Pattern: ^[0-9A-Fa-f]+$

Body

application/json
originatorCountry
string
required

The country code (ISO 3166-1 alpha-2) of the originator of this deposit. This field is required in order to perform an attribution.

Required string length: 2
Example:

"US"

originatorName
string
required

The name of the originator of this deposit. This field is required in order to perform an attribution.

Minimum string length: 1
Example:

"John Doe"

sourceWalletType
enum<string>
required

The type of wallet being used by the deposit originator:

  • CUSTODIAL - The wallet owner does not have complete control over the wallet as they do not have the private key; a third party does. This key is needed to conduct transfers. Examples of custodial wallets include: Binance, Coinbase, Kraken, and Bitgo.
  • SELF_HOSTED - The wallet owner has complete control over the wallet as they have the private key. Examples of self-hosted wallets include: Metamask, Trust Wallet, Ledger Nano X, Trezor One, Electrum, Exodus, and Phantom.

This field is required in order to perform an attribution.

Available options:
CUSTODIAL,
SELF_HOSTED
Minimum string length: 1
Example:

"CUSTODIAL"

notes
string

Additional notes for the deposit attribution.

Example:

"US"

Response

Deposit attributed successfully

data
object